GDB (xrefs)

Public Attributes | List of all members
btrace_insn_iterator Struct Reference

`#include "btrace.h"`

## Public Attributes
const struct btrace_thread_info * | btinfo
unsigned int | call_index
unsigned int | insn_index

## Detailed Description

Definition at line 190 of file btrace.h.

## Member Data Documentation

## ◆ btinfo

const struct btrace_thread_info* btrace_insn_iterator::btinfo

Definition at line 193 of file btrace.h.

Referenced by btrace_find_insn_by_number(), btrace_insn_begin(), btrace_insn_cmp(), btrace_insn_end(), btrace_insn_get(), btrace_insn_get_error(), btrace_insn_next(), btrace_insn_number(), btrace_insn_prev(), record_btrace_call_history(), record_btrace_frame_sniffer(), record_btrace_info(), and record_btrace_insn_history().

## ◆ call_index

unsigned int btrace_insn_iterator::call_index

Definition at line 196 of file btrace.h.

Referenced by btrace_find_insn_by_number(), btrace_insn_begin(), btrace_insn_cmp(), btrace_insn_end(), btrace_insn_get(), btrace_insn_get_error(), btrace_insn_next(), btrace_insn_number(), btrace_insn_prev(), record_btrace_call_history(), and record_btrace_frame_sniffer().

## ◆ insn_index

unsigned int btrace_insn_iterator::insn_index

Definition at line 199 of file btrace.h.

Referenced by btrace_find_insn_by_number(), btrace_insn_begin(), btrace_insn_cmp(), btrace_insn_end(), btrace_insn_get(), btrace_insn_next(), btrace_insn_number(), and btrace_insn_prev().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/btrace.h